CClassNode Struct Reference

`#include <regint.h>`

## Data Fields

NodeBase | base
unsigned int | flags
BitSet | bs
BBuf * | mbuf

## Detailed Description

Definition at line 715 of file regint.h.

## Field Documentation

NodeBase CClassNode::base

Definition at line 716 of file regint.h.

BitSet CClassNode::bs

Definition at line 718 of file regint.h.

Referenced by add_ctype_to_cc(), add_ctype_to_cc_by_range(), and_cclass(), compile_cclass_node(), compile_length_cclass_node(), i_apply_case_fold(), initialize_cclass(), is_not_included(), next_state_class(), next_state_val(), node_new_cclass_by_codepoint_range(), onig_is_code_in_cc_len(), optimize_node_left(), or_cclass(), and parse_char_class().

unsigned int CClassNode::flags

Definition at line 717 of file regint.h.

Referenced by initialize_cclass().

BBuf* CClassNode::mbuf

Definition at line 719 of file regint.h.

Referenced by add_ctype_to_cc(), add_ctype_to_cc_by_range(), and_cclass(), compile_cclass_node(), compile_length_cclass_node(), i_apply_case_fold(), i_free_shared_class(), initialize_cclass(), is_not_included(), next_state_class(), next_state_val(), node_new_cclass_by_codepoint_range(), onig_is_code_in_cc_len(), onig_node_free(), optimize_node_left(), or_cclass(), and parse_char_class().

The documentation for this struct was generated from the following file:

- regint.h